function L2Projector1D()
    n = 5 % number of subintervals
    h = 2/n % mesh size
    x = 0:h:2; % mesh
    M = MassMat1D(x); % assemble mass
    b = LoadVec1D(x,@MyFavoritF); % assemble load
    Pf = M\b % solve linear system
    
    xx=0:0.01:2;   
    plot(x,Pf,xx,MyFavoritF(xx), 'Linewidth',2) % plot Lˆ2 projection
    xlabel('x')
    legend('Pf(x)','f(x)')
    title('The L^2-projection of f')
