function M = MassMat1D(x)
    n = length(x)-1; % number of subintervals
    M = zeros(n+1,n+1); % allocate mass matrix
        for i = 1:n % loop over subintervals
            h = x(i+1) - x(i); % interval length
            M(i,i) = M(i,i) + h/3; % add h/3 to M(i,i)
            M(i,i+1) = M(i,i+1) + h/6;
            M(i+1,i) = M(i+1,i) + h/6;
            M(i+1,i+1) = M(i+1,i+1) + h/3;
        end
